from odoo import models, fields, api
from odoo.exceptions import UserError, ValidationError
from psycopg2 import sql, DatabaseError
from odoo.tools.safe_eval import safe_eval, datetime

from werkzeug import utils             
                    
    

class opendons_laposte_ref(models.Model):
    _name = 'opendons.laposte_ref'
    _description = 'La Poste referential'

    #https://www.data.gouv.fr/fr/datasets/r/554590ab-ae62-40ac-8353-ee75162c05ee

    code_commune_insee=fields.Char('Code_commune_insee')
    nom_commune=fields.Char('Nom_commune')
    code_postal=fields.Integer('Code postal')
    ligne_5=fields.Char('Ligne 5')
    libelle_acheminement=fields.Char('Libelle acheminement')
    coordonnees_gps=fields.Char('coordonnees_gps')